#!/usr/bin/perl -w

#
# dbpipeline_basic.pl
# Copyright (C) 2007 by John Heidemann
# $Id: dbpipeline_basic.pl 605 2007-12-05 19:00:32Z johnh $
#
# This program is distributed under terms of the GNU general
# public license, version 2.  See the file COPYING
# in $dblibdir for details.
#

use threads;
use Jdb::Filter::dbpipeline;
use Jdb::Filter::dbcol;
use Jdb::Filter::dbroweval;

# do the equivalent of
#
#   cat DATA/grades.jdb | dbcol name test1 | dbroweval '_test1 += 5;'

my $pipeline = new Jdb::Filter::dbpipeline(
		    '--noautorun',
		    new Jdb::Filter::dbcol(qw(name test1)),
		    new Jdb::Filter::dbroweval('_test1 += 5;'));
# now run it by hand
$pipeline->setup_run_finish();

exit 0;
